## org.eclipse.emf.mapping.xsd2ecore.impl
Class XSD2EcoreMappingRootImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.mapping.impl.MappingImpl
                      org.eclipse.emf.mapping.impl.MappingRootImpl
                          org.eclipse.emf.mapping.xsd2ecore.impl.XSD2EcoreMappingRootImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, Mapping, MappingRoot, XSD2EcoreMappingRoot

    public class XSD2EcoreMappingRootImpl

extends MappingRootImpl
implements XSD2EcoreMappingRoot

An implementation of the model object 'Mapping Root'.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.mapping.impl.MappingRootImpl
`MappingRootImpl.MappedObjectStateAdapter, MappingRootImpl.MappedObjectStateAdapterFactory`

Nested classes/interfaces inherited from class org.eclipse.emf.mapping.impl.MappingImpl
`MappingImpl.MappingTreeIterator`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.mapping.impl.MappingRootImpl
`COMMAND_STACK_EDEFAULT, commandStack, domain, mappedObjectListener, mappedObjectStateAdapterFactory, OUTPUT_READ_ONLY_EDEFAULT, outputDirty, outputReadOnly, TOP_TO_BOTTOM_EDEFAULT, topToBottom`

Fields inherited from class org.eclipse.emf.mapping.impl.MappingImpl
`helper, inputs, nested, outputs, typeMapping`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSD2EcoreMappingRootImpl()`

Method Summary
`protected EClass` `eStaticClass()`

Methods inherited from class org.eclipse.emf.mapping.impl.MappingRootImpl

`canCreateMapping, canRemoveMapping, createMappedObjectStateAdapter, createMappedObjectStateAdapterFactory, createMapping, createMapping, deregister, dispose, eGet, eIsSet, eSet, eUnset, getAllMappings, getCommandStack, getDomain, getExactMappings, getMappedObjectState, getMappings, getParentMapping, getTypeClassifiers, getTypeMappingRoot, getTypeMappings, hasCompatibleMetaObjects, hasCompatibleTypes, hasMappedChildren, hasMappedParents, hasTypeMappings, initializeMappedObjectStates, initializeNewMapping, isAttachedObject, isBottomObject, isDirty, isInputObject, isMapped, isOutputDirty, isOutputObject, isOutputReadOnly, isTopObject, isTopToBottom, printAdapters, refreshMappedObjectStates, register, resetDirty, setCommandStack, setDomain, setOutputDirty, setOutputReadOnly, setTopToBottom, toString, walk`

Methods inherited from class org.eclipse.emf.mapping.impl.MappingImpl
`basicGetTypeMapping, basicSetHelper, basicSetNestedIn, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getBottoms, getEffectiveHelper, getHelper, getInputs, getMappedObjects, getMappingRoot, getNested, getNestedIn, getOutputs, getReceivers, getSenders, getTops, getTypeMapping, isReverse, setHelper, setNestedIn, setTypeMapping, treeIterator, treeIterator`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.mapping.MappingRoot

`canCreateMapping, canRemoveMapping, createMapping, deregister, dispose, getAllMappings, getCommandStack, getDomain, getExactMappings, getMappedObjectState, getMappings, getParentMapping, getTypeMappingRoot, isAttachedObject, isBottomObject, isDirty, isInputObject, isOutputDirty, isOutputObject, isOutputReadOnly, isTopObject, isTopToBottom, refreshMappedObjectStates, register, resetDirty, setCommandStack, setDomain, setOutputDirty, setOutputReadOnly, setTopToBottom`

Methods inherited from interface org.eclipse.emf.mapping.Mapping
`getBottoms, getEffectiveHelper, getHelper, getInputs, getMappedObjects, getMappingRoot, getNested, getNestedIn, getOutputs, getReceivers, getSenders, getTops, getTypeMapping, isReverse, setHelper, setNestedIn, setTypeMapping, treeIterator, treeIterator`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### XSD2EcoreMappingRootImpl

    protected XSD2EcoreMappingRootImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `MappingRootImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.